import { Component } from 'react';
import { PanResponderInstance } from 'react-native';
export default class ColorExtractor extends Component<any> {
    state: any;
    _panResponder: PanResponderInstance;
    onColorChange: any;
    lastX: any;
    lastY: any;
    self: any;
    startTouchXY: any;
    constructor(props: any);
    onLayout(_: any): void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    handleTapData(evt: any): void;
    handlerData(_evt: any, ges: any, moving: any): void;
    getPointValues(locationX: any, locationY: any): {
        angle: number;
        maxX: number;
        maxY: number;
        length: number;
    };
    getPointAngle(x: any, y: any): number;
    updateUIWithColor(color: any, isFirst: any): void;
    hypotenuse(long: any, angle: any): {
        x: number;
        y: number;
    };
    updateColor(x: any, y: any, moving: any, isFirst?: boolean): void;
    render(): JSX.Element;
}
export declare const colorTemperature: {
    2700: string;
    2800: string;
    2900: string;
    3000: string;
    3100: string;
    3200: string;
    3300: string;
    3400: string;
    3500: string;
    3600: string;
    3700: string;
    3800: string;
    3900: string;
    4000: string;
    4100: string;
    4200: string;
    4300: string;
    4400: string;
    4500: string;
    4600: string;
    4700: string;
    4800: string;
    4900: string;
    5000: string;
    5100: string;
    5200: string;
    5300: string;
    5400: string;
    5500: string;
    5600: string;
    5700: string;
    5800: string;
    5900: string;
    6000: string;
    6100: string;
    6200: string;
    6300: string;
    6400: string;
    6500: string;
};
export declare const colorTemperatureToColor: (temperature: any) => any;
